Skip to Content
SeyloDocs

List the build queue

GET
/api/v1/builds.queue

Lists builds that are queued or running on every node (or one node), oldest first, with their place in the queue. Only builds of services the caller can view are returned.

Any signed-in caller. Available to MCP clients and the assistant.

Authorization

cookieseylo_session<token>

Query Parameters

nodeId?string

Panel-issued id.

Match^[a-z0-9]{16}$

Response Body

Success.

application/json
  1. response
builds*array<>
Example Request
curl -X GET 'https://example.com/api/v1/builds.queue'
Example Response
{  "builds": [    {      "id": "string",      "deploymentId": "string",      "serviceId": "string",      "serviceName": "string",      "projectId": "string",      "projectName": "string",      "nodeId": "string",      "nodeName": "string",      "builder": "railpack",      "status": "queued",      "position": 1,      "commitSha": "string",      "queuedAt": "2019-08-24T14:15:22Z",      "startedAt": "2019-08-24T14:15:22Z"    }  ]}